﻿<!-- 
    1. По координатам двух точек, которые вводит пользователь, определить уравнение прямой, проходящей через эти точки.
    Общий вид уравнения: y = kx + b; где k = (y1 - y2) / (x1 - x2), b = y2 - k*x2.
    
    2. Обменять значения двух переменных, используя третью (буферную) переменную.
    
    3. Объявите две переменные: admin и name. Запишите в name строку "Василий". Замените значение из name в admin. Выведите admin.
    
    4. Получить от пользователя данные о пользователе: имя, фамилию, возраст. Обработать их и вывести на экран.
    
    5. Запросите у пользователя его возраст, после чего выведите на экран модальное окно с вопросом: "Ваш возраст ...(введеное пользователем число) лет?". Далее в зависимости от выбора пользователя выводится модальное окно с информацией true или false.
-->
<!--
//Andriy Andrusevych
//IT Generation
//JS Homework 1
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>JS Homework 1</title>
    <script type="text/javascript">
        // Task 1
        var x1 = +prompt('Enter x1');
        var y1 = +prompt('Enter y1');
        var x2 = +prompt('Enter x2');
        var y2 = +prompt('Enter y2');
        var k = (y1 - y2) / (x1 - x2);
        var b = y2  - k*x2;
        document.write(`Рівняння прямої з введеними координатами точок X1(${x1}), Y1(${y1}), X2(${x2}), Y2(${y2}) :<b> y = ${k}x + ${b}</b>.<br>`);
        //Task 2
        var a = 'abc';
        var b = 'xyz';
        var c;
        var c = a;
        var a = b;
        var b = c;
        //Task 3
        var admin;
        var name;
        var name = 'Vasyl';
        var admin = name;
        console.log(admin);
        //Task 4
        var name = prompt('What is your name?');
        var lastName = prompt('What is your last name?');
        var age = +prompt('Enter your age, please');
        document.write(`Hello, ${name} ${lastName}. Your age is ${age}.<br>`);
        //Task 5
        var age = +prompt('Enter your age, please');
        var confirmation = confirm(`Is you age ${age}?`);
        document.write(`Your age "${age}" is ${confirmation}.`);
    

    </script>
</head>
<body>
</body>
</html>
